package com.bryan.plugin;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup.LayoutParams;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

public class TestActivity extends BaseActivity
{
	ImageView mlogoImageView;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) 
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_test);
		
		mlogoImageView = (ImageView)findViewById(R.id.iv_logo);
		Drawable drawable = getResources().getDrawable((R.drawable.ic_launcher));
		
		mlogoImageView.setImageDrawable(drawable);
		
	//	mProxyActivity.setContentView(CreateView(mProxyActivity));		
	//	System.out.println("TestActivity.onCreate()" + "activity name is :"+mProxyActivity.getClass().getSimpleName());
	}
	
    private View CreateView(final Context context)
    {
    	LinearLayout linearLayout = new LinearLayout(context);
    	
    	linearLayout.setLayoutParams(new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT));
    	TextView textView = new TextView(context);
    	textView.setText("bryan test plugin");
    	linearLayout.addView(textView);
    	return linearLayout;	
    }
    
    
    @Override
	protected void onStart() {
		super.onStart();
	}

	@Override
	protected void onPause() {
		super.onPause();
	}

	@Override
	protected void onResume() {
		super.onResume();
	}

	@Override
	protected void onStop() {
		super.onStop();
	}

	@Override
	protected void onDestroy() {
		super.onDestroy();
	}
	

}
